
build_buster-slim-pg11:
  image:
    name: gcr.io/kaniko-project/executor:debug
    entrypoint: [""]
  script:
    - echo "{\"auths\":{\"$CI_REGISTRY\":{\"username\":\"$CI_REGISTRY_USER\",\"password\":\"$CI_REGISTRY_PASSWORD\"}}}" > /kaniko/.docker/config.json
    - /kaniko/executor
      --context $CI_PROJECT_DIR/library/buster-slim-pg11
      --dockerfile $CI_PROJECT_DIR/library/buster-slim-pg11/Dockerfile
      --destination $CI_REGISTRY_IMAGE/buster-slim-pg11

build_python-logilab:
  image:
    name: gcr.io/kaniko-project/executor:debug
    entrypoint: [""]
  script:
    - echo "{\"auths\":{\"$CI_REGISTRY\":{\"username\":\"$CI_REGISTRY_USER\",\"password\":\"$CI_REGISTRY_PASSWORD\"}}}" > /kaniko/.docker/config.json
    - /kaniko/executor
      --context $CI_PROJECT_DIR/library/python-logilab
      --dockerfile $CI_PROJECT_DIR/library/python-logilab/Dockerfile
      --destination $CI_REGISTRY_IMAGE/python-logilab
